import { createAction, props } from '@ngrx/store';

import {
  VersionInfo2Request,
  VersionInfo2Response
} from '@ucap-webmessenger/api-public';

export const fetch = createAction(
  '[Setting::VersionInfo] Fetch',
  props<VersionInfo2Request>()
);

export const fetchSuccess = createAction(
  '[Setting::VersionInfo] Fetch Success',
  props<VersionInfo2Response>()
);

export const fetchFailure = createAction(
  '[Setting::VersionInfo] Fetch Failure',
  props<{ error: any }>()
);
